project multi links.md

Project Multi-Links

Project Multi Link Upload
Description Update a projects's settings
Request URL Prodege Base URL + /project-multi-link-upload
Request Method POST
Request Parameters
Parameter Name Parameter Type Description Required?
apik String Your API Key. Yes
request_date Numeric Timestamp in milliseconds (see Authentication). Yes
signature String The signature of your request (see Authentication). Yes
prodege_project_id Numeric The ID that uniquely identifies this project in the Prodege system. Yes
multi_link_entries array JSON array of multi link entries. Yes
Response Parameters
Parameter Name Parameter Type Description
return_status String The return status for this api call
prodege_project_id Numeric The id that uniquely identifies this project
available_links Numeric The number of unique survey entry links available for this project

multi_link_entries Element Model

Property Name Property Type Description
row_id Numeric The id that uniquely identifies a multi link entry for this current request
survey_url String A unique entry link for the survey (url must have “%transid%” placeholder in it)
Delete Available Links
Description Delete all unused entry links of an existing project
Request URL Prodege Base URL + /project-delete-available-links
Request Method POST
Request Parameters
Parameter Name Parameter Type Required?
apik String Yes
request_date Numeric Yes (in milliseconds)
signature String Yes (see Authentication section for details)
prodege_project_id Numeric Yes
Response Parameters
Parameter Name Parameter Type Description
return_status String The return status for this api call
prodege_project_id Numeric The id that uniquely identifies this project
deleted_links Numeric The number of survey entry links deleted
Get Available Links
Description Get a (count of / comma-separated list) all unused entry links of an existing project
Request URL Prodege Base URL + /project-available-links
Request Method GET
Request Parameters
Parameter Name Parameter Type Required?
apik String Yes
request_date Numeric Yes (in milliseconds)
signature String Yes (see Authentication section for details)
prodege_project_id Numeric Yes
fetch_option String No (Possible values: "count" (default), "list")
Response Parameters
Parameter Name Parameter Type Description
return_status String The return status for this api call
prodege_project_id Numeric The id that uniquely identifies this project
available_links Varies Depends on fetch option

*available_links could return either: - a Numeric value (for fetch_option value of “count”), or; - a comma-separated list of survey urls (for fetch_option value of “list”)